---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Screens/Nut/Anim/"
---------------------------------------------------------------------------------------
createCompositionClose = function()
	local compositionClose = CreateCompositionSequence()
	local compositionDuration = 8
	compositionClose:setDuration(compositionDuration)
	compositionClose:setName("compositionClose" )
	compositionClose:setBoundingBox( Rectanglef(0, 0, 1024,768) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."glow3.png")
	element:setName("Layer_1")
	compositionClose:addElement(element)
	element:setHotSpot(68.5, 68.5)
	element:setParentElement(compositionClose)
	element:setXY(512, 384)
 
	element:setScale(2.83,2.83)
	element:setOpacity(0.25496414889116)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."glow.png")
	element:setName("Layer_2")
	compositionClose:addElement(element)
	element:setHotSpot(85, 74)
	element:setParentElement(compositionClose)
	element:setXY(512, 384)
 
	element:setScale(2,2)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_O, 0, 0.50819789832558)
	effector:setKey(_TRACK_O, 0.29166666666667, 0.57383915035076)
	effector:setKey(_TRACK_O, 0.41666666666667, 0.51677961938974)
	effector:setKey(_TRACK_O, 0.625, 0.39142017403785)
	effector:setKey(_TRACK_O, 0.875, 0.43400486591327)
	effector:setKey(_TRACK_O, 1.16666666666667, 0.18725690562672)
	effector:setKey(_TRACK_O, 1.66666666666667, 0.06497427027743)
	effector:setKey(_TRACK_O, 1.83333333333333, 0)
	effector:setKey(_TRACK_O, 2.08333333333333, 0)
	effector:setKey(_TRACK_O, 2.16666666666667, 0.07829525720982)
	effector:setKey(_TRACK_O, 2.33333333333333, 0.23304383551206)
	effector:setKey(_TRACK_O, 2.58333333333333, 0.27427812596331)
	effector:setKey(_TRACK_O, 2.75, 0.41482432645425)
	effector:setKey(_TRACK_O, 2.79166666666667, 0.45625205365124)
	effector:setKey(_TRACK_O, 2.83333333333333, 0.48768167678275)
	effector:setKey(_TRACK_O, 2.875, 0.50859462028852)
	effector:setKey(_TRACK_O, 3.16666666666667, 0.48239519481866)
	effector:setKey(_TRACK_O, 3.29166666666667, 0.51761287407633)
	effector:setKey(_TRACK_O, 3.45833333333333, 0.53214852422403)
	effector:setKey(_TRACK_O, 3.83333333333333, 1)
	effector:setKey(_TRACK_O, 4.125, 1)
	effector:setKey(_TRACK_O, 4.79166666666667, 0.6607821106043)
	effector:setKey(_TRACK_O, 5.33333333333333, 0.292387355437)
	effector:setKey(_TRACK_O, 5.58333333333333, 0.12290995843014)
	effector:setKey(_TRACK_O, 5.75, 0.13677792786263)
	effector:setKey(_TRACK_O, 6, 0)
	effector:setKey(_TRACK_O, 6.16666666666667, 0.02215499934751)
	effector:setKey(_TRACK_O, 6.33333333333333, 0.16306880774228)
	effector:setKey(_TRACK_O, 6.58333333333333, 0.10836670289164)
	effector:setKey(_TRACK_O, 6.66666666666667, 0.14585436308984)
	effector:setKey(_TRACK_O, 6.83333333333333, 0.29526409207488)
	effector:setKey(_TRACK_O, 7.08333333333333, 0.26555825413489)
	effector:setKey(_TRACK_O, 7.33333333333333, 0.45920489924324)
	effector:setKey(_TRACK_O, 7.625, 0.4645225000319)
	effector:setKey(_TRACK_O, 7.95833333333333, 0.50819789832558)
	effector:play()
 
 
	-- Layer Layer_3
	element = createCompositionSparks()
	element:setName("Layer_3")
	compositionClose:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionClose)
	element:setXY(507, 385)
 
	element:setScale(0.94,0.94)
	element:setOpacity(0.6)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."nut_zelui.png")
	element:setName("Layer_4")
	compositionClose:addElement(element)
	element:setHotSpot(166, 144)
	element:setParentElement(compositionClose)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_5
	element = createCompositionLuci()
	element:setName("Layer_5")
	compositionClose:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionClose)
	element:setXY(532, 364)
 
	element:setOpacity(0.4)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_SX, 0, 0.71)
	effector:setKey(_TRACK_SY, 0, 0.71)
	effector:setKey(_TRACK_SX, 2.25, 0.93)
	effector:setKey(_TRACK_SY, 2.25, 0.93)
	effector:setKey(_TRACK_SX, 4.70833333333333, 0.77)
	effector:setKey(_TRACK_SY, 4.70833333333333, 0.77)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.71)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.71)
	effector:play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."glow2.png")
	element:setName("Layer_6")
	compositionClose:addElement(element)
	element:setHotSpot(68.5, 68.5)
	element:setParentElement(compositionClose)
	element:setXY(512, 384)
 
	element:setOpacity(0.37547496726972)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_SX, 0, 3.26999999999998)
	effector:setKey(_TRACK_SY, 0, 3.27)
	effector:setKey(_TRACK_SX, 1.54166666666667, 3.30999999999998)
	effector:setKey(_TRACK_SY, 1.54166666666667, 3.31)
	effector:setKey(_TRACK_SX, 3.29166666666667, 3.29999999999998)
	effector:setKey(_TRACK_SY, 3.29166666666667, 3.3)
	effector:setKey(_TRACK_SX, 4.70833333333333, 3.26999999999998)
	effector:setKey(_TRACK_SY, 4.70833333333333, 3.27)
	effector:setKey(_TRACK_SX, 6.25, 3.30999999999998)
	effector:setKey(_TRACK_SY, 6.25, 3.31)
	effector:setKey(_TRACK_SX, 8, 3.29999999999998)
	effector:setKey(_TRACK_SY, 8, 3.3)
	effector:play()
 
	compositionClose:play()
 
	return compositionClose
end
 
createCompositionLuci = function()
	local compositionLuci = CreateCompositionSequence()
	local compositionDuration = 8
	compositionLuci:setDuration(compositionDuration)
	compositionLuci:setName("compositionLuci" )
	compositionLuci:setBoundingBox( Rectanglef(0, 0, 1024,768) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Luch_[].png")
	element:setName("Layer_1")
	compositionLuci:addElement(element)
	element:setHotSpot(50, 30)
	element:setParentElement(compositionLuci)
	element:setXY(659, 315)
 
	element:setScale(1.78825023282623,3.46686457358473)
	element:setRotationRad(-2.7925268)
					local anim = element
					anim:setAnimationSize(100,60)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_O, 0, 0.39861603600563)
	effector:setKey(_TRACK_O, 0.75, 0.36973953793375)
	effector:setKey(_TRACK_O, 1.125, 0.32613652453219)
	effector:setKey(_TRACK_O, 1.375, 0.36157857292924)
	effector:setKey(_TRACK_O, 1.75, 0.51096144904004)
	effector:setKey(_TRACK_O, 2.16666666666667, 0.60766673823476)
	effector:setKey(_TRACK_O, 2.5, 0.55310159686565)
	effector:setKey(_TRACK_O, 3, 0.36786768449448)
	effector:setKey(_TRACK_O, 3.25, 0.29015109419392)
	effector:setKey(_TRACK_O, 3.5, 0.3852261023792)
	effector:setKey(_TRACK_O, 3.79166666666667, 0.62286583442143)
	effector:setKey(_TRACK_O, 4.04166666666667, 0.72336369504645)
	effector:setKey(_TRACK_O, 4.20833333333333, 0.69438101224158)
	effector:setKey(_TRACK_O, 4.375, 0.60895148600269)
	effector:setKey(_TRACK_O, 4.625, 0.49765848880985)
	effector:setKey(_TRACK_O, 5, 0.49778831304596)
	effector:setKey(_TRACK_O, 5.75, 0.44424225089722)
	effector:setKey(_TRACK_O, 6.04166666666667, 0.33848386354736)
	effector:setKey(_TRACK_O, 6.20833333333333, 0.31377691954811)
	effector:setKey(_TRACK_O, 6.41666666666667, 0.36238354663319)
	effector:setKey(_TRACK_O, 6.79166666666667, 0.55006113952682)
	effector:setKey(_TRACK_O, 7, 0.51600735259684)
	effector:setKey(_TRACK_O, 7.20833333333333, 0.441041030876)
	effector:setKey(_TRACK_O, 7.41666666666667, 0.40897665403672)
	effector:setKey(_TRACK_O, 7.625, 0.4873377605804)
	effector:setKey(_TRACK_O, 7.95833333333333, 0.39861603600563)
	effector:play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."Luch_[].png")
	element:setName("Layer_2")
	compositionLuci:addElement(element)
	element:setHotSpot(50, 30)
	element:setParentElement(compositionLuci)
	element:setXY(523, 232)
 
	element:setScale(1.66852270178012,3.191829775707)
	element:setRotationRad(-4.04916386)
					local anim = element
					anim:setAnimationSize(100,60)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_O, 0, 0.54475907587463)
	effector:setKey(_TRACK_O, 0.58333333333333, 0.45229054164655)
	effector:setKey(_TRACK_O, 0.79166666666667, 0.42834191631998)
	effector:setKey(_TRACK_O, 1.25, 0.55453885650217)
	effector:setKey(_TRACK_O, 1.54166666666667, 0.58081226502884)
	effector:setKey(_TRACK_O, 2.33333333333333, 0.33505598247803)
	effector:setKey(_TRACK_O, 2.54166666666667, 0.23875283880322)
	effector:setKey(_TRACK_O, 2.70833333333333, 0.21260842586525)
	effector:setKey(_TRACK_O, 2.95833333333333, 0.30712146670288)
	effector:setKey(_TRACK_O, 3.25, 0.53515410762179)
	effector:setKey(_TRACK_O, 3.54166666666667, 0.64886636329191)
	effector:setKey(_TRACK_O, 3.75, 0.59877530071467)
	effector:setKey(_TRACK_O, 4.08333333333333, 0.44171347461851)
	effector:setKey(_TRACK_O, 5.16666666666667, 0.49905149045424)
	effector:setKey(_TRACK_O, 5.54166666666667, 0.34444473544987)
	effector:setKey(_TRACK_O, 5.75, 0.29642806105712)
	effector:setKey(_TRACK_O, 5.95833333333333, 0.34008311320076)
	effector:setKey(_TRACK_O, 6.16666666666667, 0.45554742261367)
	effector:setKey(_TRACK_O, 6.29166666666667, 0.48544045573188)
	effector:setKey(_TRACK_O, 6.45833333333333, 0.45160420211894)
	effector:setKey(_TRACK_O, 6.70833333333333, 0.34956009354964)
	effector:setKey(_TRACK_O, 6.91666666666667, 0.31312305406706)
	effector:setKey(_TRACK_O, 7.125, 0.39509510382264)
	effector:setKey(_TRACK_O, 7.375, 0.58524979572883)
	effector:setKey(_TRACK_O, 7.95833333333333, 0.54475907587463)
	effector:play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."Luch_[].png")
	element:setName("Layer_3")
	compositionLuci:addElement(element)
	element:setHotSpot(50, 30)
	element:setParentElement(compositionLuci)
	element:setXY(671, 468)
 
	element:setScale(1.77935083093385,4.39529119122288)
	element:setRotationRad(-1.9722220525)
					local anim = element
					anim:setAnimationSize(100,60)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_O, 0, 0.77503330059322)
	effector:setKey(_TRACK_O, 0.45833333333333, 0.74535458595121)
	effector:setKey(_TRACK_O, 0.79166666666667, 0.77621409555733)
	effector:setKey(_TRACK_O, 1.29166666666667, 0.5988332520357)
	effector:setKey(_TRACK_O, 1.70833333333333, 0.48371061424641)
	effector:setKey(_TRACK_O, 2, 0.45432958705031)
	effector:setKey(_TRACK_O, 2.33333333333333, 0.51732130542819)
	effector:setKey(_TRACK_O, 2.625, 0.65200073070307)
	effector:setKey(_TRACK_O, 2.875, 0.70595775329009)
	effector:setKey(_TRACK_O, 3.45833333333333, 0.62558977495906)
	effector:setKey(_TRACK_O, 3.83333333333333, 0.70885789720695)
	effector:setKey(_TRACK_O, 4.08333333333333, 0.7329970463237)
	effector:setKey(_TRACK_O, 4.375, 0.68672571826346)
	effector:setKey(_TRACK_O, 4.95833333333333, 0.53936190679562)
	effector:setKey(_TRACK_O, 5.20833333333333, 0.48383413686708)
	effector:setKey(_TRACK_O, 5.41666666666667, 0.53104091207755)
	effector:setKey(_TRACK_O, 5.66666666666667, 0.67233185960771)
	effector:setKey(_TRACK_O, 5.83333333333333, 0.71196625462671)
	effector:setKey(_TRACK_O, 6.04166666666667, 0.66291148582575)
	effector:setKey(_TRACK_O, 6.5, 0.47343359640345)
	effector:setKey(_TRACK_O, 6.66666666666667, 0.51134467388366)
	effector:setKey(_TRACK_O, 6.79166666666667, 0.56087462162038)
	effector:setKey(_TRACK_O, 7.41666666666667, 0.66456155459199)
	effector:setKey(_TRACK_O, 7.70833333333333, 0.69973555943001)
	effector:setKey(_TRACK_O, 7.95833333333333, 0.77503330059322)
	effector:play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."Luch_[].png")
	element:setName("Layer_4")
	compositionLuci:addElement(element)
	element:setHotSpot(50, 30)
	element:setParentElement(compositionLuci)
	element:setXY(483, 524)
 
	element:setScale(2.56904885890323,5.16780208923502)
	element:setRotationRad(-0.97738438)
					local anim = element
					anim:setAnimationSize(100,60)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_O, 0, 0.41536957988895)
	effector:setKey(_TRACK_O, 0.5, 0.3716783696745)
	effector:setKey(_TRACK_O, 0.70833333333333, 0.33617570937225)
	effector:setKey(_TRACK_O, 0.83333333333333, 0.31526776114534)
	effector:setKey(_TRACK_O, 2.125, 0.37785826651167)
	effector:setKey(_TRACK_O, 2.29166666666667, 0.34656580269104)
	effector:setKey(_TRACK_O, 2.54166666666667, 0.25994445481964)
	effector:setKey(_TRACK_O, 2.70833333333333, 0.23677267098778)
	effector:setKey(_TRACK_O, 2.91666666666667, 0.27851155354852)
	effector:setKey(_TRACK_O, 3.25, 0.45400086197477)
	effector:setKey(_TRACK_O, 3.5, 0.5155637193952)
	effector:setKey(_TRACK_O, 3.75, 0.4557662403302)
	effector:setKey(_TRACK_O, 4.33333333333333, 0.27012027180132)
	effector:setKey(_TRACK_O, 4.66666666666667, 0.19173150075926)
	effector:setKey(_TRACK_O, 4.91666666666667, 0.26086647570831)
	effector:setKey(_TRACK_O, 5.20833333333333, 0.43432636523727)
	effector:setKey(_TRACK_O, 5.45833333333333, 0.50456724968918)
	effector:setKey(_TRACK_O, 5.75, 0.42598024753862)
	effector:setKey(_TRACK_O, 6.29166666666667, 0.27568710205328)
	effector:setKey(_TRACK_O, 6.625, 0.22648432221075)
	effector:setKey(_TRACK_O, 6.875, 0.25849663155531)
	effector:setKey(_TRACK_O, 7.20833333333333, 0.37006491695826)
	effector:setKey(_TRACK_O, 7.41666666666667, 0.33208486868432)
	effector:setKey(_TRACK_O, 7.95833333333333, 0.41536957988895)
	effector:play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."Luch_[].png")
	element:setName("Layer_5")
	compositionLuci:addElement(element)
	element:setHotSpot(50, 30)
	element:setParentElement(compositionLuci)
	element:setXY(345, 389)
 
	element:setScale(2.25,3.21113444790674)
	element:setRotationRad(0.7504915775)
					local anim = element
					anim:setAnimationSize(100,60)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_O, 0, 0.4181124173196)
	effector:setKey(_TRACK_O, 0.41666666666667, 0.51036415858025)
	effector:setKey(_TRACK_O, 0.66666666666667, 0.54171900299101)
	effector:setKey(_TRACK_O, 1.04166666666667, 0.49174610837176)
	effector:setKey(_TRACK_O, 1.875, 0.32568809597813)
	effector:setKey(_TRACK_O, 2.20833333333333, 0.2438434131105)
	effector:setKey(_TRACK_O, 2.45833333333333, 0.31393172464727)
	effector:setKey(_TRACK_O, 2.79166666666667, 0.51405140957739)
	effector:setKey(_TRACK_O, 3.08333333333333, 0.5977137593723)
	effector:setKey(_TRACK_O, 3.375, 0.54281433552675)
	effector:setKey(_TRACK_O, 3.95833333333333, 0.37346071670322)
	effector:setKey(_TRACK_O, 4.25, 0.29863554880646)
	effector:setKey(_TRACK_O, 4.5, 0.36988483563929)
	effector:setKey(_TRACK_O, 4.79166666666667, 0.54182738369244)
	effector:setKey(_TRACK_O, 5.04166666666667, 0.61290290369555)
	effector:setKey(_TRACK_O, 5.375, 0.5463810992422)
	effector:setKey(_TRACK_O, 5.91666666666667, 0.44664763699376)
	effector:setKey(_TRACK_O, 6.16666666666667, 0.40761111993984)
	effector:setKey(_TRACK_O, 6.58333333333333, 0.49973492237043)
	effector:setKey(_TRACK_O, 6.70833333333333, 0.52275143474161)
	effector:setKey(_TRACK_O, 7.29166666666667, 0.27624376179888)
	effector:setKey(_TRACK_O, 7.5, 0.32032522920241)
	effector:setKey(_TRACK_O, 7.625, 0.41263664757644)
	effector:setKey(_TRACK_O, 7.95833333333333, 0.4181124173196)
	effector:play()
 
	compositionLuci:play()
 
	return compositionLuci
end
 
createCompositionOpen = function()
	local compositionOpen = CreateCompositionSequence()
	local compositionDuration = 8
	compositionOpen:setDuration(compositionDuration)
	compositionOpen:setName("compositionOpen" )
	compositionOpen:setBoundingBox( Rectanglef(0, 0, 1024,768) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."svitok_svesenia.png")
	element:setName("Layer_1")
	compositionOpen:addElement(element)
	element:setHotSpot(342, 222)
	element:setParentElement(compositionOpen)
	element:setXY(498, 389)
 
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_O, 0, 0.17996151838356)
	effector:setKey(_TRACK_O, 0.25, 0.25731039613231)
	effector:setKey(_TRACK_O, 0.41666666666667, 0.29515375993952)
	effector:setKey(_TRACK_O, 0.66666666666667, 0.24943932350632)
	effector:setKey(_TRACK_O, 0.83333333333333, 0.25561484533868)
	effector:setKey(_TRACK_O, 1.29166666666667, 0.20595802593329)
	effector:setKey(_TRACK_O, 1.58333333333333, 0.17764243949595)
	effector:setKey(_TRACK_O, 1.83333333333333, 0.25004830938648)
	effector:setKey(_TRACK_O, 1.91666666666667, 0.27831323585969)
	effector:setKey(_TRACK_O, 2.04166666666667, 0.29303362593477)
	effector:setKey(_TRACK_O, 2.625, 0.16545563278125)
	effector:setKey(_TRACK_O, 2.83333333333333, 0.16975577484217)
	effector:setKey(_TRACK_O, 3.125, 0.11052019144333)
	effector:setKey(_TRACK_O, 3.25, 0.1310019684713)
	effector:setKey(_TRACK_O, 3.375, 0.18070169565128)
	effector:setKey(_TRACK_O, 3.58333333333333, 0.22696953011855)
	effector:setKey(_TRACK_O, 4, 0.20375531504838)
	effector:setKey(_TRACK_O, 4.41666666666667, 0.27583198520764)
	effector:setKey(_TRACK_O, 5.125, 0.17464697749837)
	effector:setKey(_TRACK_O, 5.375, 0.21767976531168)
	effector:setKey(_TRACK_O, 5.70833333333333, 0.16645480986326)
	effector:setKey(_TRACK_O, 5.83333333333333, 0.17882878530519)
	effector:setKey(_TRACK_O, 6.16666666666667, 0.16189035709556)
	effector:setKey(_TRACK_O, 6.79166666666667, 0.2553187004295)
	effector:setKey(_TRACK_O, 6.95833333333333, 0.22579394157524)
	effector:setKey(_TRACK_O, 7.16666666666667, 0.1754805590708)
	effector:setKey(_TRACK_O, 7.33333333333333, 0.19488490391823)
	effector:setKey(_TRACK_O, 7.625, 0.18639978319711)
	effector:setKey(_TRACK_O, 7.79166666666667, 0.19903579709761)
	effector:setKey(_TRACK_O, 7.95833333333333, 0.17996151838356)
	effector:play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."sparks_[].png")
	element:setName("Layer_2")
	compositionOpen:addElement(element)
	element:setHotSpot(43.5, 50)
	element:setParentElement(compositionOpen)
	element:setXY(542, 315.5)
 
	element:setScale(2.89469282385501,1.48685257090359)
	element:setRotationRad(3.176499235)
	element:setOpacity(0.39)
					local anim = element
					anim:setAnimationSize(87,100)
					anim:setFramesCount(24)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."sparks_[].png")
	element:setName("Layer_3")
	compositionOpen:addElement(element)
	element:setHotSpot(43.5, 50)
	element:setParentElement(compositionOpen)
	element:setXY(382, 308.5)
 
	element:setScale(2,2)
	element:setRotationRad(4.6949356825)
	element:setOpacity(0.49)
					local anim = element
					anim:setAnimationSize(87,100)
					anim:setFramesCount(24)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."sparks_[].png")
	element:setName("Layer_4")
	compositionOpen:addElement(element)
	element:setHotSpot(43.5, 50)
	element:setParentElement(compositionOpen)
	element:setXY(687, 327.5)
 
	element:setScale(2,2)
	element:setRotationRad(1.3962634)
	element:setOpacity(0.49)
					local anim = element
					anim:setAnimationSize(87,100)
					anim:setFramesCount(24)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."sparks_[].png")
	element:setName("Layer_5")
	compositionOpen:addElement(element)
	element:setHotSpot(43.5, 50)
	element:setParentElement(compositionOpen)
	element:setXY(542, 426.5)
 
	element:setScale(2.89469282385501,1.48685257090359)
	element:setRotationRad(3.176499235)
	element:setOpacity(0.35)
					local anim = element
					anim:setAnimationSize(87,100)
					anim:setFramesCount(24)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."sparks_[].png")
	element:setName("Layer_6")
	compositionOpen:addElement(element)
	element:setHotSpot(43.5, 50)
	element:setParentElement(compositionOpen)
	element:setXY(382, 419.5)
 
	element:setScale(2,2)
	element:setRotationRad(4.6949356825)
	element:setOpacity(0.45)
					local anim = element
					anim:setAnimationSize(87,100)
					anim:setFramesCount(24)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."sparks_[].png")
	element:setName("Layer_7")
	compositionOpen:addElement(element)
	element:setHotSpot(43.5, 50)
	element:setParentElement(compositionOpen)
	element:setXY(687, 438.5)
 
	element:setScale(2,2)
	element:setRotationRad(1.3962634)
	element:setOpacity(0.45)
					local anim = element
					anim:setAnimationSize(87,100)
					anim:setFramesCount(24)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."svitok_svesenia.png")
	element:setName("Layer_8")
	compositionOpen:addElement(element)
	element:setHotSpot(342, 222)
	element:setParentElement(compositionOpen)
	element:setXY(498, 389)
 
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_O, 0, 0.05286051829958)
	effector:setKey(_TRACK_O, 0.5, 0.10190761517524)
	effector:setKey(_TRACK_O, 0.70833333333333, 0.13243490131055)
	effector:setKey(_TRACK_O, 1.08333333333333, 0.0671974614842)
	effector:setKey(_TRACK_O, 1.16666666666667, 0.03708073949001)
	effector:setKey(_TRACK_O, 1.25, 0.02685259048557)
	effector:setKey(_TRACK_O, 1.5, 0.13011755284402)
	effector:setKey(_TRACK_O, 1.66666666666667, 0.17073071705138)
	effector:setKey(_TRACK_O, 2.70833333333333, 0.03477707552665)
	effector:setKey(_TRACK_O, 2.83333333333333, 0.05248457627724)
	effector:setKey(_TRACK_O, 2.91666666666667, 0.08436338841785)
	effector:setKey(_TRACK_O, 3.04166666666667, 0.11350894822674)
	effector:setKey(_TRACK_O, 3.29166666666667, 0.06688819490952)
	effector:setKey(_TRACK_O, 3.45833333333333, 0.10660696183414)
	effector:setKey(_TRACK_O, 3.625, 0.15992164900481)
	effector:setKey(_TRACK_O, 3.70833333333333, 0.14842483560063)
	effector:setKey(_TRACK_O, 3.79166666666667, 0.11616715920426)
	effector:setKey(_TRACK_O, 4.20833333333333, 0.02278191083701)
	effector:setKey(_TRACK_O, 4.375, 0.05311255710076)
	effector:setKey(_TRACK_O, 4.66666666666667, 0.1391516586829)
	effector:setKey(_TRACK_O, 4.83333333333333, 0.11999016266873)
	effector:setKey(_TRACK_O, 5.20833333333333, 0.08143089598525)
	effector:setKey(_TRACK_O, 5.41666666666667, 0.06418913509267)
	effector:setKey(_TRACK_O, 6.45833333333333, 0.06545727725206)
	effector:setKey(_TRACK_O, 6.95833333333333, 0.09599478114663)
	effector:setKey(_TRACK_O, 7.125, 0.05596348502081)
	effector:setKey(_TRACK_O, 7.29166666666667, 0.03041848729363)
	effector:setKey(_TRACK_O, 7.58333333333333, 0.09107211885646)
	effector:setKey(_TRACK_O, 7.95833333333333, 0.05286051829958)
	effector:play()
 
 
	-- Layer Layer_9
	element = CreateCompositionElement(PREFIX_PATH.."svitok.png")
	element:setName("Layer_9")
	compositionOpen:addElement(element)
	element:setHotSpot(295, 149)
	element:setParentElement(compositionOpen)
	element:setXY(517, 382.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_10
	element = CreateCompositionElement(PREFIX_PATH.."svitok_svesenia.png")
	element:setName("Layer_10")
	compositionOpen:addElement(element)
	element:setHotSpot(342, 222)
	element:setParentElement(compositionOpen)
	element:setXY(498, 394)
 
	element:setOpacity(0.58907837410623)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_11
	element = CreateCompositionElement(PREFIX_PATH.."flow_[].png")
	element:setName("Layer_11")
	compositionOpen:addElement(element)
	element:setHotSpot(50, 27)
	element:setParentElement(compositionOpen)
	element:setXY(512, 384)
 
	element:setScale(7.18,7.18000000000002)
					local anim = element
					anim:setAnimationSize(100,54)
					anim:setFramesCount(48)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_12
	element = CreateCompositionElement(PREFIX_PATH.."sparks_[].png")
	element:setName("Layer_12")
	compositionOpen:addElement(element)
	element:setHotSpot(43.5, 50)
	element:setParentElement(compositionOpen)
	element:setXY(766, 382.5)
 
	element:setScale(2,2)
	element:setRotationRad(3.14159265)
					local anim = element
					anim:setAnimationSize(87,100)
					anim:setFramesCount(24)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_13
	element = CreateCompositionElement(PREFIX_PATH.."sparks_[].png")
	element:setName("Layer_13")
	compositionOpen:addElement(element)
	element:setHotSpot(43.5, 50)
	element:setParentElement(compositionOpen)
	element:setXY(256, 375.5)
 
	element:setScale(2,2)
					local anim = element
					anim:setAnimationSize(87,100)
					anim:setFramesCount(24)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_14
	element = CreateCompositionElement(PREFIX_PATH.."nuts2.png")
	element:setName("Layer_14")
	compositionOpen:addElement(element)
	element:setHotSpot(440, 192)
	element:setParentElement(compositionOpen)
	element:setXY(525, 437.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	compositionOpen:play()
 
	return compositionOpen
end
 
createCompositionSparks = function()
	local compositionSparks = CreateCompositionSequence()
	local compositionDuration = 8
	compositionSparks:setDuration(compositionDuration)
	compositionSparks:setName("compositionSparks" )
	compositionSparks:setBoundingBox( Rectanglef(0, 0, 1024,768) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."sparks_[].png")
	element:setName("Layer_1")
	compositionSparks:addElement(element)
	element:setHotSpot(43.5, 50)
	element:setParentElement(compositionSparks)
	element:setXY(554, 462)
 
	element:setScale(-2.27912763160346,2.61806331500125)
	element:setRotationRad(-2.2165681475)
					local anim = element
					anim:setAnimationSize(87,100)
					anim:setFramesCount(24)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."sparks_[].png")
	element:setName("Layer_2")
	compositionSparks:addElement(element)
	element:setHotSpot(43.5, 50)
	element:setParentElement(compositionSparks)
	element:setXY(498, 292)
 
	element:setScale(1.79009285302904,2.61806331500125)
	element:setRotationRad(1.0297442575)
					local anim = element
					anim:setAnimationSize(87,100)
					anim:setFramesCount(24)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."sparks_[].png")
	element:setName("Layer_3")
	compositionSparks:addElement(element)
	element:setHotSpot(43.5, 50)
	element:setParentElement(compositionSparks)
	element:setXY(626, 341)
 
	element:setScale(2.5,2.5)
	element:setRotationRad(-0.1221730475)
					local anim = element
					anim:setAnimationSize(87,100)
					anim:setFramesCount(24)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."sparks_[].png")
	element:setName("Layer_4")
	compositionSparks:addElement(element)
	element:setHotSpot(43.5, 50)
	element:setParentElement(compositionSparks)
	element:setXY(409, 435)
 
	element:setScale(2.5,2.5)
	element:setRotationRad(-0.1221730475)
					local anim = element
					anim:setAnimationSize(87,100)
					anim:setFramesCount(24)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	compositionSparks:play()
 
	return compositionSparks
end
 

